## dpkg 1.21.17

=== debian/changelog ===
dpkg (1.21.17) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-genbuildinfo: Do not fail if the cross-compiler cannot compile.
    Closes: #1027966
  * Code internals:
    - dpkg-buildinfo: Fix indentation.
  * Packaging:
    - Stop shipping the «git log» changelog in exchange for no trimming.
      Closes: #1027716

 -- Guillem Jover <guillem@debian.org>  Thu, 05 Jan 2023 12:34:05 +0100

dpkg (1.21.16) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Fix buffer overflow on long directory names with old deb formats.
    Reported by Georgy Yakovlev <gyakovlev@gentoo.org>.
  * Perl modules:
    - Dpkg::Compression: Pass --no-adjust to xz to force compression threaded
      mode.
    - Dpkg::Compression: Make xz not emit warnings nor exit non-zero on
      warnings.
    - Dpkg::OpenPGP::Backend::SOP: Add sqop as an alternative SOP
      implementation.
    - Dpkg::Source::Package::V3::Git: Move error() argument out of g_() call.
  * Code internals:
    - libdpkg: Make xz not emit warnings nor exit non-zero on warnings.

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

 -- Guillem Jover <guillem@debian.org>  Wed, 04 Jan 2023 23:57:40 +0100

dpkg (1.21.15) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::BuildFlags: Add new get_feature() method.
    - Dpkg::Vendor::Debian: Use get_feature() instead of use_feature() for PIE.
      Reported by Helmut Grohne <helmut@subdivi.de>.
    - Dpkg: Temporarily silence deprecation warnings.
  * Test suite:
    - Improve TAP descriptions to clarify we are testing patch(1).

  [ Sven Joachim ]
  * Localization:
    - Update German programs translation.

 -- Guillem Jover <guillem@debian.org>  Mon, 02 Jan 2023 12:44:53 +0100

dpkg (1.21.14) unstable; urgency=medium

  [ Guillem Jover ]
  * dpkg-source: Add new --threads-max option to control threaded compressors.
  * dpkg-buildflags: Add support for features handled as builtin defaults.
  * Perl modules:
    - Dpkg::Compression::Process: Unify and simplify cmdline handling.
    - Dpkg::Compression: Change $COMP hashref into a %COMP hash.
    - Dpkg::Compression: Add new compression_get_file_extension() and switch to
      it.
    - Dpkg::Compression: Move the POD for each function immediately before it.
    - Dpkg::Compression: Clarify the compression_get/set_default_level() are
      global.
    - Dpkg::Compression: Use %COMP directly in functions when it is safe.
    - Dpkg::Compression: Add new compression_get/set_level() and switch to it.
    - Dpkg::Compression: Add new compression_get/set_cmdline_de/compress().
    - Dpkg::Compression: Deprecate compression_get_property().
    - Dpkg::Compression: Add multi-threaded xz support.
    - Dpkg::Vendor::Devuan: Add new vendor module.
      Requested by Ivan J. <parazyd@dyne.org>.
    - Dpkg::BuildFlags: Make it possible to not load the vendor defaults on
      new().
    - Dpkg::BuildFlags: Add a new use_feature() method.
    - Dpkg::BuildFlags: Add a new set/get_option_value() private methods.
    - Dpkg::BuildFlags: Add missing feature area to is_maintainer_modified()
      POD.
    - Dpkg::BuildFlags: Add support for builtin build flags.
    - Dpkg::Vendor::Debian: Track option values state as a build flag options.
    - Dpkg::Vendor::Debian: Generalize feature areas defaults.
    - Dpkg::Vendor::Ubuntu: Use a string comparison instead of debarch_eq().
    - Dpkg::Vendor::Ubuntu: Use new build flag option override support to set
      -O3.
    - Dpkg::Vendor::Ubuntu: Handle LTO by default using new feature overrides.
    - Dpkg::BuildEnv: Rename from Dpkg::Build::Env.
    - Dpkg::BuildTypes: Rename from Dpkg::Build::Types.
    - Dpkg::BuildInfo: New module to deprecate the Dpkg::Build::Info module.
  * Documentation:
    - man: Document dpkg-source -q option.
    - doc: Update TODO.
    - man: Document start-stop-daemon options that might be no-ops on some
      systems.
    - man: Turn spaces followed by tabs into spaces in start-stop-daemon(8).
    - man: Use stanza instead of paragraph, block or record for deb822 parts.
  * Code internals:
    - libdpkg: Use correct return type in meminfo functions definitions.
    - libdpkg: Split DPKG_ATTR_ declarations.
    - lib: Refactor format attributes into a common *_ATTR_FMT.
    - lib: Use __name__ format for attributes.
    - lib: Use __has_attribute() to check for attribute availability.
    - libdpkg: Mark tar on-disk members with attribute nonstring.
    - scripts: Use stanza instead of entry or block.
    - libdpkg: Rename functions with names containing record to stanza.
    - dselect: Rename functions with names containing block to stanza.
    - perl: Add missing space around equal-based operators.
    - scripts: Fix indentation.
    - perl: Fix list and hash literals indentation.
    - scripts: Cuddle else and elsif.
    - perl: Remove excess blank lines.
    - dselect, src, utils: Remove excess blank lines.
    - dpkg-scansources: Turn spaces followed by tabs into spaces.
  * Packaging:
    - Clarify new xz multi-threaded support is for decompression.
    - Bump Standards-Version to 4.6.2.
  * Test suite:
    - Add unit tests for most of Dpkg::Compression.
  * Localization:
    - Update Dutch translations.
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
      Closes: #1027312, #1027313

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.
    - Update German scripts translation.

 -- Guillem Jover <guillem@debian.org>  Sun, 01 Jan 2023 23:48:16 +0100

dpkg (1.21.13) unstable; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Test::Dpkg: Refactor OpenPGP requisite into test_needs_openpgp_backend().
    - Dpkg::Backend::GnuPG: Ensure future signing interop with gpg --openpgp.
  * Documentation:
    - man: Move parallel-safe note from dpkg-buildpackage -j option to
      --jobs-force.
  * Code internals:

