=== debian/control ===
--- 
+++ 
@@ -21,12 +21,16 @@
  libbz2-dev,
 # Version needed for multi-threaded decompressor support.
  liblzma-dev (>= 5.4.0),
+# Version needed for the new streaming API.
+ libzstd-dev (>= 1.4.0),
  libselinux1-dev [linux-any],
  libncurses-dev (>= 6.1+20180210),
 # Needed for the functional test.
  bzip2 <!nocheck>,
 # Version needed for multi-threaded decompressor support.
  xz-utils (>= 5.4.0) <!nocheck>,
+# Needed for the functional test.
+ zstd <!nocheck>,
 # Needed for the author release process.
  git <pkg.dpkg.author-release>,
  ca-certificates <pkg.dpkg.author-release>,
@@ -86,6 +90,8 @@
  zlib1g-dev,
 # Version needed for multi-threaded decompressor support.
  liblzma-dev (>= 5.4.0),
+# Version needed for the new streaming API.
+ libzstd-dev (>= 1.4.0),
  libbz2-dev,
 Description: Debian package management static library
  This package provides the header files and static library necessary to
