## dpkg 1.21.20

=== debian/changelog ===
dpkg (1.21.20) unstable; urgency=medium

  [ Guillem Jover ]
  * Documentation:
    - man: Remove duplicate word in dpkg-buildflags(1).
      Thanks to Peter Krefting <peter@softwolves.pp.se>.
  * Packaging:
    - Fix versioned Build-Depends on debhelper. Closes: #1030288
    - Update lintian overrides.
  * Test suite:
    - Update suppressions for cppcheck 2.10.
    - Skip auto-generated policykit policy file.
  * Localization:
    - Add Dutch scripts translation. Closes: #1030712
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
    - Unfuzzy translations due to typo fix.
    - Update Czech translations. Closes: #1029706, #1030267
      Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.
    - Update Dutch translations. Closes: #1030710, #1030711
      Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
    - Update French man page translation. Closes: #1030618
      Thanks to Jean-Pierre Giraud <jenapierregiraud75@free.fr>.
    - Update French programs translations.
      Thanks to Sébastien Poher <sebastien@volted.net>.
    - Update Hungarian programs translation.
      Thanks to Nagy Elemér Károly <nagy.elemer.karoly@gmail.com>.
    - Update Korean dselect translation.
      Thanks to Sangdo Jun <sebuls@gmail.com>.
    - Update Occitan programs translation.
      Thanks to Quentin PAGÈS <quentinantonin@free.fr>.
    - Update Portuguese programs translation.
      Thanks to Miguel Figueiredo <elmig@debianpt.org>.
    - Update Romanian programs translation.
      Thanks to Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>.
    - Update Russian translations. Closes: #1030162, #1030378
      Thanks to Yuri Kozlov <yuray@komyakino.ru>.
    - Update Simplified Chinese translations.
      Thanks to Boyuan Yang <byang@debian.org>.
    - Update Spanish dselect translation.
      Thanks to jonatan porras <jonatanpc8@gmail.com>.
    - Update Swedish translations.
      Thanks to Peter Krefting <peter@softwolves.pp.se>.
    - Update Thai programs translation.
      Thanks to Theppitak Karoonboonyanan <thep@debian.org>.
    - Update Traditional Chinese dselect translation.
      Thanks to Cheng-Chia Tseng <pswo10680@gmail.com>.
    - Workaround po4a formatting issue in French translation.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Feb 2023 12:19:12 +0100

dpkg (1.21.19) unstable; urgency=medium

  [ Guillem Jover ]
  * Architecture support:
    - Revert "arch: Add support for loong64 CPU". See #1028654.
  * Perl modules:
    - Dpkg::OpenPGP::Backend::GnuPG: Set secure signing preferred algorithms.
      Closes: #1028961
    - Dpkg::OpenPGP::Backend::GnuPG: Touch trustedkeys.gpg on temporary gpg
      home.
    - Dpkg::OpenPGP::Backend::GnuPG: Fallback to use «gpg dearmor» if
      present. Reported by Sven Joachim <svenjoac@gmx.de> (on IRC).
    - Dpkg::Vendor::Ubuntu: Fix lto feature to honor DEB_BUILD_OPTIONS.
  * Test suite:
    - Set the permissions explicitly for the copied ChangeLog.old file.
    - Add unit tests for lto build flags handling in Ubuntu.
      Thanks to Shengjing Zhu <shengjing.zhu@canonical.com>.
      See https://bugs.launchpad.net/bugs/2002582.
  * Localization:
    - Update Catalan translation.
    - Update Portuguese man pages translation.
      Thanks to Américo Monteiro <a_monteiro@gmx.com>. Closes: #1028981

  [ Sven Joachim ]
  * Localization:
    - Update German programs translation.

  [ Helge Kreutzmann ]
  * Localization:
    - Update German man pages translation.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Jan 2023 23:39:50 +0100
