## dpkg 1.21.21

=== debian/changelog ===
dpkg (1.21.21) unstable; urgency=medium

  * Architecture support:
    - Restore "arch: Add support for loong64 CPU". Closes: #1028654
  * Localization:
    - Update Dutch header boilerplate with an actual copyright line.
    - Update French scripts translation.
      Thanks to Sébastien Poher <sebastien@volted.net>.

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Feb 2023 04:39:29 +0100
