=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- debhelper (>= 3.10~),
+ debhelper (>= 13.10~),
  pkgconf | pkg-config,
 # Version needed for ITS support.
  gettext (>= 0.19.7),
@@ -118,6 +118,7 @@
  patch (>= 2.7),
  make,
  binutils,
+ lto-disabled-list,
 Recommends:
  build-essential,
  gcc | c-compiler,
