=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 		--with-devlibdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-libz \
 		--with-liblzma \
+		--with-libzstd \
 		--with-libbz2 \
 		# EOL
 
@@ -62,7 +63,7 @@
 	   $(D)/usr/share/lintian/profiles/dpkg/main.profile
 
 override_dh_auto_test:
-	#dh_auto_test -- $(testflags)
+	dh_auto_test -- $(testflags)
 
 override_dh_installsystemd:
 	dh_installsystemd -a --name=dpkg-db-backup
@@ -82,3 +83,10 @@
 
 override_dh_compress:
 	dh_compress -Xspec/
+
+override_dh_builddeb:
+	# Make debootstrap life easier on non-Debian based systems by
+	# compressing dpkg.deb with xz instead of zstd.
+	dh_builddeb -pdpkg -- -Zxz
+	dh_builddeb -a -Ndpkg
+	dh_builddeb
