## dpkg 1.21.22~mx21+1

=== debian/changelog ===
dpkg (1.21.22~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Jul 2023 14:57:02 -0700

dpkg (1.21.22) unstable; urgency=medium

  [ Guillem Jover ]
  * Code internals:
    - libdpkg: Handle missing Version when formatting source:Upstream-Version.
      Reported by John Scott <jscott@posteo.net>.
  * Localization:
    - Add Portuguese scripts translations.
      Thanks to Américo Monteiro <a_monteiro@gmx.com>. Closes: #1032562

 -- Guillem Jover <guillem@debian.org>  Thu, 11 May 2023 04:04:01 +0200
