=== debian/control ===
Source: dpkg
Section: admin
Priority: required
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Homepage: https://wiki.debian.org/Teams/Dpkg
Vcs-Browser: https://git.dpkg.org/cgit/dpkg/dpkg.git
Vcs-Git: https://git.dpkg.org/git/dpkg/dpkg.git
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: aspell <pkg.dpkg.author-testing>,
               aspell-en <pkg.dpkg.author-testing>,
               bzip2 <!nocheck>,
               ca-certificates <pkg.dpkg.author-release>,
               codespell <pkg.dpkg.author-testing>,
               cppcheck <pkg.dpkg.author-testing>,
               debhelper (>= 13.10~),
               debhelper-compat (= 13),
               fakeroot <pkg.dpkg.author-testing>,
               gettext (>= 0.19.7),
               git <pkg.dpkg.author-release>,
               gnupg <pkg.dpkg.author-testing>,
               i18nspector <pkg.dpkg.author-testing>,
               lcov <pkg.dpkg.code-coverage>,
               libbz2-dev,
               libdevel-cover-perl <pkg.dpkg.code-coverage>,
               liblzma-dev (>= 5.4.0),
               libmd-dev,
               libmodule-build-perl <pkg.dpkg.author-release>,
               libncurses-dev (>= 6.1+20180210),
               libselinux1-dev [linux-any],
               libtest-minimumversion-perl <pkg.dpkg.author-testing>,
               libtest-perl-critic-perl <pkg.dpkg.author-testing>,
               libtest-pod-coverage-perl <pkg.dpkg.author-testing>,
               libtest-pod-perl <pkg.dpkg.author-testing>,
               libtest-spelling-perl <pkg.dpkg.author-testing>,
               libtest-strict-perl <pkg.dpkg.author-testing>,
               libtest-synopsis-perl <pkg.dpkg.author-testing>,
               libzstd-dev (>= 1.4.0),
               pkgconf | pkg-config,
               po4a (>= 0.59),
               shellcheck <pkg.dpkg.author-testing>,
               xz-utils (>= 5.4.0) <!nocheck>,
               zlib1g-dev,
               zstd <!nocheck>

Package: dpkg
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: tar (>= 1.28-1), ${misc:Depends}
Suggests: apt, debsig-verify
Breaks: libapt-pkg5.0 (<< 1.7~b), lsb-base (<< 10.2019031300)
Description: Debian package management system
 This package provides the low-level infrastructure for handling the
 installation and removal of Debian software packages.
 .
 For Debian package development tools, install dpkg-dev.

Package: libdpkg-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libbz2-dev,
         liblzma-dev (>= 5.4.0),
         libmd-dev,
         libzstd-dev (>= 1.4.0),
         zlib1g-dev,
         ${misc:Depends}
Description: Debian package management static library
 This package provides the header files and static library necessary to
 develop software using libdpkg, the same library used internally by dpkg.
 .
 Note though, that the API is to be considered volatile, and might change
 at any time, use at your own risk.

Package: dpkg-dev
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: binutils,
         bzip2,
         libdpkg-perl (= ${source:Version}),
         make,
         patch (>= 2.7),
         tar (>= 1.28-1),
         xz-utils (>= 5.4.0),
         ${misc:Depends},
         ${perl:Depends}
Recommends: build-essential,
            fakeroot,
            gcc | c-compiler,
            gnupg | sq | sqop | pgpainless-cli,
            gpgv | sq | sqop | pgpainless-cli,
            libalgorithm-merge-perl
Suggests: debian-keyring
Breaks: debhelper (<< 10.10.1~),
        libsop-java-java (<< 4.0.7~),
        pgpainless-cli (<< 1.3.13~),
        sq (<< 0.25.0~),
        sqop (<< 0.27.2~)
Description: Debian package development tools
 This package provides the development tools (including dpkg-source)
 required to unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build;
 for example, most packages need make and the C compiler gcc.

Package: libdpkg-perl
Section: perl
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: dpkg (>= 1.18.11), ${misc:Depends}, ${perl:Depends}
Recommends: bzip2,
            libfile-fcntllock-perl,
            liblocale-gettext-perl,
            xz-utils (>= 5.4.0)
Suggests: binutils,
          bzr,
          debian-keyring,
          gcc | c-compiler,
          git,
          gnupg | sq | sqop | pgpainless-cli,
          gpgv | sq | sqop | pgpainless-cli,
          patch,
          sensible-utils
Breaks: dgit (<< 3.13~),
        libsop-java-java (<< 4.0.7~),
        pgpainless-cli (<< 1.3.13~),
        pkg-kde-tools (<< 0.15.28~),
        sq (<< 0.25.0~),
        sqop (<< 0.27.2~)
Description: Dpkg perl modules
 This package provides the perl modules used by the scripts
 in dpkg-dev. They cover a wide range of functionality. Among them
 there are the following public modules:
 .
  - Dpkg: core variables
  - Dpkg::Arch: architecture handling functions
  - Dpkg::BuildFlags: set, modify and query compilation build flags
  - Dpkg::BuildInfo: build information functions
  - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
  - Dpkg::BuildProfiles: parse and manipulate build profiles
  - Dpkg::Changelog: parse changelogs
  - Dpkg::Changelog::Entry: represents a changelog entry
  - Dpkg::Changelog::Parse: generic changelog parser for dpkg-parsechangelog
  - Dpkg::Checksums: generate and parse checksums
  - Dpkg::Compression: simple database of available compression methods
  - Dpkg::Compression::FileHandle: transparently (de)compress files
  - Dpkg::Compression::Process: wrapper around compression tools
  - Dpkg::Conf: parse dpkg configuration files
  - Dpkg::Control: parse and manipulate Debian control information
    (.dsc, .changes, Packages/Sources entries, etc.)
  - Dpkg::Control::Changelog: represent fields output by dpkg-parsechangelog
  - Dpkg::Control::Fields: manage (list of known) control fields
  - Dpkg::Control::Hash: parse and manipulate a block of RFC822-like fields
  - Dpkg::Control::Info: parse files like debian/control
  - Dpkg::Control::Tests: parse files like debian/tests/control
  - Dpkg::Control::Tests::Entry: represents a debian/tests/control stanza
  - Dpkg::Deps: parse and manipulate dependencies
  - Dpkg::Deps::Simple: represents a single dependency statement
  - Dpkg::Deps::Multiple: base module to represent multiple dependencies
  - Dpkg::Deps::Union: list of unrelated dependencies
  - Dpkg::Deps::AND: list of AND dependencies
  - Dpkg::Deps::OR: list of OR dependencies
  - Dpkg::Deps::KnownFacts: list of installed and virtual packages
  - Dpkg::Exit: push, pop and run exit handlers
  - Dpkg::Gettext: wrapper around Locale::gettext
  - Dpkg::IPC: spawn sub-processes and feed/retrieve data
  - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
    example)
  - Dpkg::Interface::Storable: base object serializer
  - Dpkg::Path: common path handling functions
  - Dpkg::Source::Format: manipulate debian/source/format files
  - Dpkg::Source::Package: extract Debian source packages
  - Dpkg::Substvars: substitute variables in strings
  - Dpkg::Vendor: identify current distribution vendor
  - Dpkg::Version: parse and manipulate Debian package versions
 .
 All the packages listed in Suggests or Recommends are used by some of the
 modules.

Package: dselect
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libdpkg-perl, perl
Description: Debian package management front-end
 dselect is a high-level interface for managing the installation and
 removal of Debian software packages.
 .
 Many users find dselect intimidating and new users may prefer to use
 apt-based user interfaces.
