=== debian/rules ===
--- 
+++ 
@@ -84,9 +84,6 @@
 override_dh_compress:
 	dh_compress -Xspec/
 
-override_dh_builddeb:
-	# Make debootstrap life easier on non-Debian based systems by
-	# compressing dpkg.deb with xz instead of zstd.
-	dh_builddeb -pdpkg -- -Zxz
-	dh_builddeb -a -Ndpkg
-	dh_builddeb
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
