=== debian/tests/control ===
Tests: test-not-root
Depends: autoconf, build-essential, file, libmd-dev, pkg-config
Restrictions: superficial skippable

Tests: test-root
Depends: autoconf, build-essential, file, libmd-dev, pkg-config
Restrictions: superficial needs-root breaks-testbed

Tests: test-func
Depends: eatmydata, @
Restrictions: allow-stderr

Tests: test-func-root
Depends: eatmydata, @
Restrictions: allow-stderr needs-root breaks-testbed
